package it.integry.integrywmsnative.view.dialogs.input_quantity;

import java.util.Date;

import it.integry.integrywmsnative.core.di.BindableBoolean;
import it.integry.integrywmsnative.core.di.BindableFloat;
import it.integry.integrywmsnative.core.di.BindableString;

public class QuantityDTO {

    public BindableString batchLot = new BindableString();
    public BindableString expireDateString = new BindableString();

    public Date expireDate = null;

    public BindableFloat numCnf = new BindableFloat();
    public BindableFloat qtaCnf = new BindableFloat();
    public BindableFloat qtaTot = new BindableFloat();

    public BindableFloat qtaEvasa = new BindableFloat();
    public BindableFloat qtaDaEvadere = new BindableFloat();
    public BindableFloat qtaDisponibile = new BindableFloat();



    public BindableBoolean blockedNumDiCnf = new BindableBoolean();
    public BindableBoolean blockedQtaTot = new BindableBoolean();
    public BindableBoolean blockedQtaPerCnf = new BindableBoolean();

    public boolean numCnfNotificationEnabled = true;
    public boolean qtaCnfNotificationEnabled = true;
    public boolean qtaTotNotificationEnabled = true;
    public boolean canOverflowQuantity = false;
    public BindableFloat maxQta = new BindableFloat();


    public BindableBoolean canPartitaMagBeChanged = new BindableBoolean(true);
    public BindableBoolean canDataScadBeChanged = new BindableBoolean(true);
    public BindableBoolean shouldAskDataScad = new BindableBoolean();


}
